from __future__ import (absolute_import, division,print_function)
import maya.cmds as cmds

import pprint

##モジュールの種類
_MODULETYPE = "ctrl"

##アトリビュート名リスト
_ATTRS = [
        "sampleJoint",
        "sampleJoints",
        "sampleString",
        "sampleStrings",
        "sampleLong",
        "sampleDouble",
        "sampleEnum",
        
]

##アトリビュートのタイプ　デフォルト値などオプションを定義
_ATTR_DICT = {
                "sampleJoint":  {"type":"message",  "multi":False,  "default":""},
                "sampleJoints": {"type":"message",  "multi":True,   "default":""},
                "sampleString": {"type":"string",   "multi":False,  "default":""},
                "sampleStrings":{"type":"string",   "multi":True,   "default":""},
                "sampleLong":   {"type":"long",     "default":0,    "min":0,"max":99},
                "sampleDouble": {"type":"double",   "default":0.0,  "min":0.0,"max":100},
                "sampleEnum":   {"type":"enum",     "enumList":["A","B","C"],   "default":"A"},
}

##セットアップ実行用
def main(**kwargs):
    pprint.pprint(kwargs)

    return